/* Variables:
   $footer_height: 150px;
   $link_color: #0070be;
   $text_color: #222;
   $light-bg-color: #f7f7f7;
   $comments_bg_color: #f1f1f1;
   $comments_border-color: #dfdfdf;
   $comments_input_border-color: #bbb;
   $comments_highlight_color: #ffec82;
*/

* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

html {
    min-height: 100%;
    position: relative;
    -moz-text-size-adjust: none;
    -ms-text-size-adjust: none;
    -webkit-text-size-adjust: none;
    text-size-adjust: none;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
}

body {
    font: 19px/1.6 "Open Sans", Ubuntu, "Nimbus Sans L", Avenir, AvenirNext, "Segoe UI", Helvetica, Arial, sans-serif;
    margin-bottom: 150px;
    color: #222;
}

.container {
    max-width: 1150px;
    margin: 0 auto;
    padding: 0 1.5em;
}

.innerContainer {
    margin-bottom: 150px;
}

.courseSection {
    overflow: auto;
    width: 850px;
}

.classImage {
    width: 250px;
    height: 200px;
    padding: 30px;
}

.siteheader {
    padding: 0;
}

.siteheader p {
    font-size: 2em;
}

.siteheader a {
    color: #222;
    text-decoration: none;
}

@keyframes fade-in {
    from { opacity: 0; }
    to { opacity: 1; }
}

main {
    animation: fade-in 1s ease;
}

b, strong {
    font-weight: 600;
}

a {
    color: #0070be;
}

a:hover,
a:focus {
    text-decoration: none;
}

img, iframe {
    max-width: 100%;
}

img {
    height: auto;
}

h1, h2, h3, h4 {
    font-weight: normal;
}

ul, ol {
    padding-left: 2em;
}

time {
    color: #595959;
    font-size: .85em;
}

.post {
    padding-bottom: 2em;
}

.post header h1 {
    margin: .2em 0;
    line-height: 1.3;
    font-size: 2.5em;
    font-weight: lighter;
}

.post header h1 a {
    color: #222;
    text-decoration: none;
}

.post > div p {
    margin: 1em 0;
    word-wrap: break-word;
    -moz-hyphens: auto;
    -ms-hyphens: auto;
    -webkit-hyphens: auto;
    hyphens: auto;
}

.post > div img {
    padding: .5em;
}

.post > div ul {
    list-style: none;
    text-indent: -1em;
}

.post > div ul li:before {
    content: "\0BB \020";
    opacity: .5;
    margin-right: .3em;
}

.post > footer {
    border-top: 1px solid #dfdfdf;
    padding-top: .5em;
    clear: both;
}

.post h2, .post h3, .post h4, .post h5, .post h6 {
    margin: 1em 0 -.5em 0;
}

.post blockquote {
    border-top: 1px solid #dfdfdf;
    border-bottom: 1px solid #dfdfdf;
    color: #6e6e6e;
    font-size: 1.3em;
    width: 90%;
    margin: 1.5em auto;
    font-style: italic;
    font-weight: lighter;
}

.post blockquote p {
    margin: 1em .5em;
}

.post pre {
    font-size: .9em;
    line-height: 1.3;
    overflow: auto;
    padding: 5px 10px;
    -ms-word-wrap: normal;
    word-wrap: normal;
    background: #f7f7f7;
    box-shadow: 5px 5px 5px #dfdfdf;
}

.post code {
    background: #f7f7f7;
    font-family: Menlo, Monaco, Consolas, "Courier New", monospace;
}

.post table {
    font-size: .9em;
    border-collapse: collapse;
    font-variant-numeric: lining-nums tabular-nums;
    display: block;
    overflow-x: auto;
    white-space: nowrap;
}

.post tr:nth-child(2n) {
    background: #f7f7f7;
}

.post th {
    border-bottom: 1px solid #dfdfdf;
    text-align: left;
}

.post td, .post th {
    padding: 2px 7px;
}
